;TIP1052B.LSP:  INTERPOL.LSP     Utilities for Civil Engineers     (C)1994, Jeff Reimert

;===================ERROR HANDLER============
(defun ip_err (MSG)
   (alert(strcat "Error!: " MSG))
   (setq *error* OLDERR)
   (setvar"cmdecho" 1)
   (princ)
);end error defun
;===================MAIN PROGRAM=============
(defun C:IP (/ OLDERR PT1 PT2 PT3 EL1 EL2 D1 DLT M D2 M2 C)
   (setq OLDERR *error*)
   (setq *error* IP_ERR)
   (setvar"cmdecho" 0)
   (initget 1)
   (setq PT1(getpoint "\nSelect 1st Known Point: "))
   (initget 1)
   (setq EL1(getreal "\nEnter the Elevation :"))
   (initget 1)
   (setq PT2(getpoint "\nEnter 2nd Known Point: "))
   (initget 1)
   (setq EL2(getreal "\nEnter the Elevation :"))
   (initget 1)
   (setq PT3(getpoint "\nSelect point of Unknown Elevation: "))
   ;==calculations=====
   (setq D1(distance PT1 PT2)
      DLT(- EL2 EL1)
      M(/ DLT D1)
      D2(distance PT1 PT3)
      M2(* M D2)
      C (rtos(+ M2 EL1) 2 2)
   );setq
   ;===================
   (princ (strcat "\nThe Elevation is: " c)) ;output
   (setq *error* OLDERR)
   (setvar "cmdecho" 1)
   (princ)
);end interpol defun
;============================================================
(princ "\nINTERPOL.LSP loaded... Start with IP")
(princ); end interpol.lsp
